﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        </telerik:RadScriptManager>

        <script type="text/javascript">
            function nodeClicked(sender, args) {
                var comboBox = $find("<%= RadComboBox1.ClientID %>");

                var node = args.get_node(),
                    isNodeSelected = node.get_selected();

                comboBox.set_text(node.get_text());

                comboBox.trackChanges();
                if (isNodeSelected) {
                    comboBox.get_items().getItem(0).set_text(node.get_text());
                } else {
                    comboBox.set_text("");
                }
                comboBox.commitChanges();

                comboBox.hideDropDown();

                // Call comboBox.attachDropDown if:
                // 1) The RadComboBox is inside an AJAX panel.
                // 2) The RadTreeView has a server-side event handler for the NodeClick event, i.e. it initiates a postback when clicking on a Node.
                // Otherwise the AJAX postback becomes a normal postback regardless of the outer AJAX panel.

                //comboBox.attachDropDown();
            }

            function StopPropagation(e) {
                if (!e) {
                    e = window.event;
                }

                e.cancelBubble = true;
            }

            function OnClientDropDownOpenedHandler(sender, eventArgs) {
                var tree = sender.get_items().getItem(0).findControl("RadTreeView1");
                var selectedNode = tree.get_selectedNode();
                if (selectedNode) {
                    selectedNode.scrollIntoView();
                }
            }
        </script>
        <script type="text/javascript">
            var div1 = document.getElementById("div1");
            div1.onclick = StopPropagation;
        </script>
        <telerik:RadComboBox ID="RadComboBox1" runat="server" Width="250px" ShowToggleImage="True"
            Style="vertical-align: middle;" OnClientDropDownOpened="OnClientDropDownOpenedHandler"
            EmptyMessage="Choose a destination" ExpandAnimation-Type="None" CollapseAnimation-Type="None" Skin="Hay">
            <ItemTemplate>
                <div id="div1">
                    <telerik:RadTreeView runat="server" ID="RadTreeView1" MultipleSelect="true" OnClientNodeClicked="nodeClicked"
                        Width="100%" Height="140px" Skin="Hay">
                        <Nodes>
                            <telerik:RadTreeNode runat="server" Text="Africa" Expanded="true">
                                <Nodes>
                                    <telerik:RadTreeNode runat="server" Text="Egypt">
                                        <Nodes>
                                            <telerik:RadTreeNode runat="server" Text="Cairo">
                                            </telerik:RadTreeNode>
                                        </Nodes>
                                    </telerik:RadTreeNode>
                                    <telerik:RadTreeNode runat="server" Text="South Africa">
                                        <Nodes>
                                            <telerik:RadTreeNode runat="server" Text="Cape Town">
                                            </telerik:RadTreeNode>
                                        </Nodes>
                                    </telerik:RadTreeNode>
                                    <telerik:RadTreeNode runat="server" Text="Kenya">
                                        <Nodes>
                                            <telerik:RadTreeNode runat="server" Text="Nairobi" Value="1999">
                                            </telerik:RadTreeNode>
                                        </Nodes>
                                    </telerik:RadTreeNode>
                                </Nodes>
                            </telerik:RadTreeNode>
                            <telerik:RadTreeNode runat="server" Text="Australia">
                                <Nodes>
                                    <telerik:RadTreeNode runat="server" Text="South East Australia">
                                        <Nodes>
                                            <telerik:RadTreeNode runat="server" Text="Sydney">
                                            </telerik:RadTreeNode>
                                            <telerik:RadTreeNode runat="server" Text="Melbourne">
                                            </telerik:RadTreeNode>
                                        </Nodes>
                                    </telerik:RadTreeNode>
                                </Nodes>
                            </telerik:RadTreeNode>
                            <telerik:RadTreeNode runat="server" Text="Asia" Expanded="true">
                                <Nodes>
                                    <telerik:RadTreeNode runat="server" Text="China">
                                        <Nodes>
                                            <telerik:RadTreeNode runat="server" Text="Bejing">
                                            </telerik:RadTreeNode>
                                        </Nodes>
                                    </telerik:RadTreeNode>
                                    <telerik:RadTreeNode runat="server" Text="India">
                                        <Nodes>
                                            <telerik:RadTreeNode runat="server" Text="New Delhi">
                                            </telerik:RadTreeNode>
                                            <telerik:RadTreeNode runat="server" Text="Bombay">
                                            </telerik:RadTreeNode>
                                        </Nodes>
                                    </telerik:RadTreeNode>
                                    <telerik:RadTreeNode runat="server" Text="Indonesia">
                                        <Nodes>
                                            <telerik:RadTreeNode runat="server" Text="Jakarta">
                                            </telerik:RadTreeNode>
                                        </Nodes>
                                    </telerik:RadTreeNode>
                                </Nodes>
                            </telerik:RadTreeNode>
                            <telerik:RadTreeNode runat="server" Text="Europa" Expanded="true">
                                <Nodes>
                                    <telerik:RadTreeNode runat="server" Text="England">
                                        <Nodes>
                                            <telerik:RadTreeNode runat="server" Text="London">
                                            </telerik:RadTreeNode>
                                            <telerik:RadTreeNode runat="server" Text="Liverpool">
                                            </telerik:RadTreeNode>
                                            <telerik:RadTreeNode runat="server" Text="Manchester">
                                            </telerik:RadTreeNode>
                                        </Nodes>
                                    </telerik:RadTreeNode>
                                    <telerik:RadTreeNode runat="server" Text="France">
                                        <Nodes>
                                            <telerik:RadTreeNode runat="server" Text="Paris">
                                            </telerik:RadTreeNode>
                                            <telerik:RadTreeNode runat="server" Text="Cannes">
                                            </telerik:RadTreeNode>
                                            <telerik:RadTreeNode runat="server" Text="Nice">
                                            </telerik:RadTreeNode>
                                        </Nodes>
                                    </telerik:RadTreeNode>
                                    <telerik:RadTreeNode runat="server" Text="Germany">
                                        <Nodes>
                                            <telerik:RadTreeNode runat="server" Text="Bonn">
                                            </telerik:RadTreeNode>
                                            <telerik:RadTreeNode runat="server" Text="Berlin">
                                            </telerik:RadTreeNode>
                                            <telerik:RadTreeNode runat="server" Text="Frankfurt">
                                            </telerik:RadTreeNode>
                                        </Nodes>
                                    </telerik:RadTreeNode>
                                </Nodes>
                            </telerik:RadTreeNode>
                            <telerik:RadTreeNode runat="server" Text="North America" Expanded="true">
                                <Nodes>
                                    <telerik:RadTreeNode runat="server" Text="USA">
                                        <Nodes>
                                            <telerik:RadTreeNode runat="server" Text="New York">
                                            </telerik:RadTreeNode>
                                            <telerik:RadTreeNode runat="server" Text="Los Angeles">
                                            </telerik:RadTreeNode>
                                            <telerik:RadTreeNode runat="server" Text="Boston">
                                            </telerik:RadTreeNode>
                                        </Nodes>
                                    </telerik:RadTreeNode>
                                    <telerik:RadTreeNode runat="server" Text="Canada">
                                        <Nodes>
                                            <telerik:RadTreeNode runat="server" Text="Toronto">
                                            </telerik:RadTreeNode>
                                            <telerik:RadTreeNode runat="server" Text="Ottawa">
                                            </telerik:RadTreeNode>
                                            <telerik:RadTreeNode runat="server" Text="Vancouver">
                                            </telerik:RadTreeNode>
                                        </Nodes>
                                    </telerik:RadTreeNode>
                                    <telerik:RadTreeNode runat="server" Text="Mexico">
                                        <Nodes>
                                            <telerik:RadTreeNode runat="server" Text="Mexico City">
                                            </telerik:RadTreeNode>
                                            <telerik:RadTreeNode runat="server" Text="Cancun">
                                            </telerik:RadTreeNode>
                                        </Nodes>
                                    </telerik:RadTreeNode>
                                </Nodes>
                            </telerik:RadTreeNode>
                            <telerik:RadTreeNode runat="server" Text="South America" Expanded="true">
                                <Nodes>
                                    <telerik:RadTreeNode runat="server" Text="Brazil">
                                        <Nodes>
                                            <telerik:RadTreeNode runat="server" Text="New Brazil">
                                            </telerik:RadTreeNode>
                                            <telerik:RadTreeNode runat="server" Text="Rio de Janeiro">
                                            </telerik:RadTreeNode>
                                        </Nodes>
                                    </telerik:RadTreeNode>
                                    <telerik:RadTreeNode runat="server" Text="Argentina">
                                        <Nodes>
                                            <telerik:RadTreeNode runat="server" Text="Buenos Aires">
                                            </telerik:RadTreeNode>
                                        </Nodes>
                                    </telerik:RadTreeNode>
                                    <telerik:RadTreeNode runat="server" Text="Chile">
                                        <Nodes>
                                            <telerik:RadTreeNode runat="server" Text="Santiago">
                                            </telerik:RadTreeNode>
                                        </Nodes>
                                    </telerik:RadTreeNode>
                                </Nodes>
                            </telerik:RadTreeNode>
                        </Nodes>
                    </telerik:RadTreeView>
                </div>
            </ItemTemplate>
            <Items>
                <telerik:RadComboBoxItem Text=""></telerik:RadComboBoxItem>
            </Items>
        </telerik:RadComboBox>
    </form>
</body>
</html>
